[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TInitComponentHandler

Callback type for RegisterInitComponentHandler

## Declaration

Source position: classesh.inc line 2255

`type TInitComponentHandler = function(`
`Instance: TComponent;`
`RootAncestor: TClass`
`):Boolean;`

## Description

TInitComponentHandler is a callback type. It is used in the InitInheritedComponent call to initialize a component. Callbacks of this type are registered with the RegisterInitComponentHandler call.